Vorbisfile documentation | vorbisfile version 1.68 - 20030307

# ov_pcm_seek_page

declared in "vorbis/vorbisfile.h";

Seeks to the closest page preceding the specified location (in pcm samples) within the physical bitstream. This function only works for seekable streams.

This function is faster than ov_pcm_seek because the function can begin decoding at a page boundary rather than seeking through any remaining samples before the specified location. However, it is less accurate.

This also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position.

    int ov_pcm_seek_page(OggVorbis_File *vf,ogg_int64_t pos);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
pos
  Position in pcm samples to seek to in the bitstream.

### Return Values

> - 0 for success
> - nonzero indicates failure, described by several error codes:
>   - OV_ENOSEEK - Bitstream is not seekable.
>   - OV_EINVAL - Invalid argument value; possibly called with an OggVorbis_File structure that isn't open.
>   - OV_EREAD - A read from media returned an error.
>   - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.
>   - OV_EBADLINK - Invalid stream section supplied to libvorbisfile, or the requested link is corrupt.

copyright © 2003 Xiph.org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.68 - 20030307